#version 330 core

uniform mat4 mat;
uniform ivec2 res;
uniform float seafloor = -200;

layout(location = 0) out vec4 outcol;


void main() {
	vec2 uv = (gl_FragCoord.xy / vec2(res.xy) - 0.5) * 2 ;
	mat4 trans = inverse(mat);
	vec4 pos = vec4(uv.xy, 0, 1) * trans;
	if (pos.y > seafloor)
	    discard;
	outcol = vec4(.5,.5,.5,1);
}