#version 450 core

layout(triangles) in;
layout(triangle_strip, max_vertices = 3) out;

in VertexData
{
  vec2 texCoord;
} inData[];

out VertexData
{
  vec2 texCoord;
} outData;

void main()
{

    for (int i = 0; i < 3; ++i)
    {
        gl_Position = gl_in[i].gl_Position + vec4(inData[i].texCoord.yx / 2,0,0);
        outData.texCoord = inData[i].texCoord;
        EmitVertex();
    }

    EndPrimitive();
}
